import { ApiContextProvider } from './CacheContext';
declare enum Method {
    GET = "GET",
    POST = "POST",
    PUT = "PUT",
    PATCH = "PATCH",
    DELETE = "DELETE"
}
interface UseApiResponse<T> {
    data: T | undefined;
    isLoading: boolean;
    isError: boolean;
    isRetrying: boolean;
    error: Error | null;
}
interface UseApiParams<TData> {
    apiId: string;
    apiUrl: string;
    method: Method;
    data?: TData;
    headers?: Record<string, string>;
    cacheExpiry?: number;
    retry?: number;
}
declare const useApi: <TResponse, TData>({ apiId, apiUrl, method, data, headers, cacheExpiry, retry, }: UseApiParams<TData>) => UseApiResponse<TResponse>;
export { useApi, Method, ApiContextProvider, UseApiParams };
